/*******************************************************************************
 * Copyright (c) 2004 Berthold Daum. All rights reserved. This program and the
 * accompanying materials are made available under the terms of the Common
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors: Berthold Daum
 ******************************************************************************/
import junit.framework.TestCase;
import com.bdaum.dukeSpeaks.Player;

public class PlayerTest extends TestCase {
    Player player;

    /**
     * Constructor for TestCase1.
     * @param arg0
     */
    public PlayerTest(String arg0) {
        super(arg0);
    }
    
    /**
     * Initialize the player
     */
    protected void setUp() throws Exception {
        super.setUp();
        player = new Player("Animated FreeTTS Player");
    }

    final public void testGetWidth() {
        assertTrue("width != 600: "+player.getWidth(),
            player.getWidth() == 600);
    }
    final public void testGetHeight() {
        assertTrue("height != 500: "+player.getHeight(),
            player.getHeight() == 500);
    }
    
    /**
     * Dispose of everything
     */
    protected void tearDown() throws Exception {
        super.tearDown();
        player = null;
    }
}
